{% extends 'test_base_2.html' %}

{% block title %} Dashboard {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <link href="/static/assets/css/app.css" rel="stylesheet">
    <link href="/static/assets/css/historical_data.css" rel="stylesheet">
{% endblock %}

{% block content %}

<main class="content">

    <div class="container-fluid p-0">

      <!-- container with title and breadcrumb -->
        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3><strong>Start</strong>seite</h3>
            </div>

            <div class="col-auto ml-auto text-right mt-n1">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb bg-transparent p-0 mt-1 mb-0">
                        <li class="breadcrumb-item"><a href="/">Saviour</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Analyse</li>
                    </ol>
                </nav>
            </div>
        </div>

        <!-- container with welcoming words -->
        <div class="container-fluid text-left">
          <div class="row">
            <h4>Willkommen auf dem Dashboard des Projektes SAViour</h4>
          </div>
          <div class="row">
            <div class="col offset-1">
              <p class="h5"><a href="/info/SAViour"><strong>SAViour</strong></a> - Sensorik-
                und App-basierte Validierung der Prozess- und Produktqualität
                für die aufwandsreduzierte Zulassung personalisierter
                Medizinprodukte</p>
            </div>
          </div>
        </div>

        <!-- container with first steps -->
        <div class="container-fluid text-left">
          <div class="row">
            <h4>Erste Schritte:</h4>
          </div>
          <div class="row">
            <div class="col offset-1">
              <p>
                In dieser App können die Daten und Prozessparameter beim Drucken
                eines medizinischen Bauteils in Echtzeit dargestellt werden. Anhand
                der über Machine Learning aufgebauten Qualitätsmodelle kann die
                Produktqualität während eines Drucks beurteilt werden, sodass
                fehlerhafte Druckprozesse frühzeitig abgebrochen werden können. Des
                Weiteren können die kontinuierlich aufgenommenen Daten der
                prozessintegrierten Sensorik angezeigt und als ständiger Nachweis
                der Prozess- und Produktqualität verwendet werden.
              </p>
              <p>
                Untenstehend finden Sie eine Auflistung der
                grundlegenden Funktionen dieser App und eine kurze Anleitung zu
                diesen. Eine detaillierte Anleitung finden Sie
                <a href="/info/documentation">hier</a>.
              </p>

              <!-- Bootstrap accordion with short introduction to functions of
              this app -->
              <div class="accordion" id="accordionPanelFirstSteps">
                <!-- First item -->
                <div class="accordion-item">
                  <h5 class="accordion-header" id="panelFirstSteps-headOne">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelFirstSteps-collapseOne" aria-expanded="false" aria-controls="panelFirstSteps-collapseOne">
                      <div class="col-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-printer" viewBox="0 0 16 16">
                          <path d="M2.5 8a.5.5 0 1 0 0-1 .5.5 0 0 0 0 1z"/>
                          <path d="M5 1a2 2 0 0 0-2 2v2H2a2 2 0 0 0-2 2v3a2 2 0 0 0 2 2h1v1a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2v-1h1a2 2 0 0 0 2-2V7a2 2 0 0 0-2-2h-1V3a2 2 0 0 0-2-2H5zM4 3a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1v2H4V3zm1 5a2 2 0 0 0-2 2v1H2a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v3a1 1 0 0 1-1 1h-1v-1a2 2 0 0 0-2-2H5zm7 2v3a1 1 0 0 1-1 1H5a1 1 0 0 1-1-1v-3a1 1 0 0 1 1-1h6a1 1 0 0 1 1 1z"/>
                        </svg>
                      </div>
                      <div class="col-auto">
                        Drucken eines Bauteils und Anzeigen der aktuellen Prozessdaten
                      </div>
                    </button>
                  </h5>
                  <div id="panelFirstSteps-collapseOne" class="accordion-collapse collapse" aria-labelledby="panelFirstSteps-headOne">
                    <div class="accordion-body">
                      <p>
                        Bevor Sie den Drucker für einen neuen Druck starten, sollten
                        Sie zunächst auf die Seite <a href="/current-process">Aktueller Druckprozess</a>
                        gehen. Über den Button "Prozess starten" gelangen Sie auf
                        eine Seite zur Eingabe der Druckprozessdaten. Über die "Plus"
                        Zeichen können Sie neue Optionen hinzufügen. Anschließend
                        können diese über die Dropdown-Menüs ausgewählt werden.
                        Sobald Sie auf "Eingaben speichern" gehen, wird der
                        Datenaufnahmeprozess gestartet. Anschließend können Sie den
                        Druck des Bauteils starten.
                      </p>
                      <p>
                        Eine Übersicht über den Aufbau des Druckers und eine
                        Auflistung der eingebundenen Sensoren finden Sie
                        <a href="/info/printer_and_sensors">hier</a>.
                      </p>
                    </div>
                  </div>
                </div>
                <!-- Second item -->
                <div class="accordion-item">
                  <h5 class="accordion-header" id="panelFirstSteps-headTwo">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelFirstSteps-collapseTwo" aria-expanded="false" aria-controls="panelFirstSteps-collapseTwo">
                      <div class="col-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-graph-up" viewBox="0 0 16 16">
                          <path fill-rule="evenodd" d="M0 0h1v15h15v1H0V0Zm14.817 3.113a.5.5 0 0 1 .07.704l-4.5 5.5a.5.5 0 0 1-.74.037L7.06 6.767l-3.656 5.027a.5.5 0 0 1-.808-.588l4-5.5a.5.5 0 0 1 .758-.06l2.609 2.61 4.15-5.073a.5.5 0 0 1 .704-.07Z"/>
                        </svg>
                      </div>
                      <div class="col-auto">
                        Anzeigen der Qualitätsvorhersage
                      </div>
                    </button>
                  </h5>
                  <div id="panelFirstSteps-collapseTwo" class="accordion-collapse collapse" aria-labelledby="panelFirstSteps-headTwo">
                    <div class="accordion-body">
                      Die Qualitätsvorhersage des aktuellen Produkts wird auf der
                      Seite <a href="/quality-prediction">Qualitätsvorhersage</a> angezeigt.
                      Weiterführende Hintergrundinformationen zu dem Qualitätsmodell
                      finden Sie <a href="/info/quality_model">hier</a>.
                    </div>
                  </div>
                </div>
                <!-- Third item -->
                <div class="accordion-item">
                  <h5 class="accordion-header" id="panelFirstSteps-headThree">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelFirstSteps-collapseThree" aria-expanded="false" aria-controls="panelFirstSteps-collapseThree">
                      <div class="col-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-clock-history" viewBox="0 0 16 16">
                          <path d="M8.515 1.019A7 7 0 0 0 8 1V0a8 8 0 0 1 .589.022l-.074.997zm2.004.45a7.003 7.003 0 0 0-.985-.299l.219-.976c.383.086.76.2 1.126.342l-.36.933zm1.37.71a7.01 7.01 0 0 0-.439-.27l.493-.87a8.025 8.025 0 0 1 .979.654l-.615.789a6.996 6.996 0 0 0-.418-.302zm1.834 1.79a6.99 6.99 0 0 0-.653-.796l.724-.69c.27.285.52.59.747.91l-.818.576zm.744 1.352a7.08 7.08 0 0 0-.214-.468l.893-.45a7.976 7.976 0 0 1 .45 1.088l-.95.313a7.023 7.023 0 0 0-.179-.483zm.53 2.507a6.991 6.991 0 0 0-.1-1.025l.985-.17c.067.386.106.778.116 1.17l-1 .025zm-.131 1.538c.033-.17.06-.339.081-.51l.993.123a7.957 7.957 0 0 1-.23 1.155l-.964-.267c.046-.165.086-.332.12-.501zm-.952 2.379c.184-.29.346-.594.486-.908l.914.405c-.16.36-.345.706-.555 1.038l-.845-.535zm-.964 1.205c.122-.122.239-.248.35-.378l.758.653a8.073 8.073 0 0 1-.401.432l-.707-.707z"/>
                          <path d="M8 1a7 7 0 1 0 4.95 11.95l.707.707A8.001 8.001 0 1 1 8 0v1z"/>
                          <path d="M7.5 3a.5.5 0 0 1 .5.5v5.21l3.248 1.856a.5.5 0 0 1-.496.868l-3.5-2A.5.5 0 0 1 7 9V3.5a.5.5 0 0 1 .5-.5z"/>
                        </svg>
                      </div>
                      <div class="col-auto">
                        Anzeigen der historischen Daten
                      </div>
                    </button>
                  </h5>
                  <div id="panelFirstSteps-collapseThree" class="accordion-collapse collapse" aria-labelledby="panelFirstSteps-headThree">
                    <div class="accordion-body">
                      Die Sensorwerte der vergangenen Drucke finden Sie auf der
                      Seite <a href="/historical data">Historische Daten</a>. Über die Buttons
                      in der obersten Zeile gelangen Sie zu diversen Tabellen
                      mit Informationen über die Sensoren. Durch anklicken einer
                      Tabellenzeile werden Diagramme mit den zu dem Sensor gehörenden
                      Daten angezeigt.
                    </div>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>

    </div>
</main>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
{% endblock javascripts %}
